### Function

# EBookContacts ContactCert from_attr

since: 3.60

#### Declaration [src]

    EContactCert*
    e_contact_cert_from_attr (
      EVCardAttribute* source
    )

#### Description [src]

Creates a new `EContactCert` structure with the information from the `source` attribute. Returns `NULL`, when the information in the `source` could not be stored in the structure (for example when the KEY attribute is a URI to some server).

Available since: 3.60

#### Parameters

`source`

  Type: `EVCardAttribute`

  A source `EVCardAttribute`.

  The data is owned by the caller of the function.

#### Return value

Type: `EContactCert`

A new `EContactCert` populated with the data from the `source`, or `NULL`, when the source contains unknown information.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.